/*
//        C-51 Demo program for CEIBO 51 Debugger
//             Copyright (c) 1994,9 by CEIBO
//
//        Program compiled with KEIL C-51 compiler
//        Compiler command line : (For Emulator test files: ctest.abs)
//           C51 cinit.c ROM(SMALL) DEBUG OBJECTEXTEND NOAMAKE DF(EMULATOR)
//
//        Compiler command line : (For Simulator test files: ctests.abs)
//           C51 cinit.c ROM(SMALL) DEBUG OBJECTEXTEND NOAMAKE DF(SIMULATOR)
//
*/

/*
//     Define constants
*/
#ifdef EMULATOR
 #define DELAY_LOAD_VALUE      0x1155   /* For emulator */
#else
 #define DELAY_LOAD_VALUE      0x0001   /* For simulator */
#endif

/*
//     External variables definition
*/
extern  unsigned int DelayValue;
extern  unsigned char PatternROL;
extern  unsigned char PatternROR;
extern  unsigned char PatternCPL;
sfr RegM1 = 0x84;
sfr RegM2 = 0x85;
sfr RegPort = 0x80;


/*
//           Function : Init
//           ================
//           Initialize program parameters
*/
void Init()
{
   DelayValue = DELAY_LOAD_VALUE;
   PatternCPL = 0x00;
   PatternROL = 0x01;
   PatternROR = 0x80;
   RegM1=0x00;
   RegM2=0x0FF;
}
